{
  ocamlPackages,
  fetchFromGitHub,
  ...
}:
let
  inherit (ocamlPackages)
    lwt
    lwt_ppx
    lwt_log
    lwt_react
    xmlm
    menhir
    ;
in
ocamlPackages.buildDunePackage rec {
  pname = "obus";
  version = "1.2.5";
  src = fetchFromGitHub {
    owner = "ocaml-community";
    repo = "obus";
    tag = version;
    hash = "sha256-Rf79NDhAC1MG8Iyr/V2exTlY6+COKoSSnbkBc8dx/Hg=";
  };
  nativeBuildInputs = [
    menhir
  ];
  propagatedBuildInputs = [
    lwt
    lwt_ppx
    lwt_log
    lwt_react
    xmlm
  ];
}
